local lgrvty_dta = {
	timer = TICRATE*15,
	icon = "LOWGRICO",
	start = function()
				S_StartSound(nil, sfx_s3k74)
			end,
	stop = 	function()
				S_StartSound(nil, sfx_s3kd5s)
			end,
	func = 	function()
				if MP_geffect_active(gef_heavygrav) return end
	
				for p in players.iterate do
					local mo = p.mo
					if not (mo and mo.valid) then continue end
					if (P_IsObjectOnGround(mo)) then continue end
					
					local modifier = FRACUNIT/2
					mo.momz = $ - (FixedMul(P_GetMobjGravity(mo), modifier))
				end
			end,
}
geffectList[gef_lowgrav] = lgrvty_dta

function A_LowGravity()
	MP_addGlobalEffect(gef_lowgrav)
end

MP_buildMonitor(MT_LOWGRAVMONITOR, MT_LOWGRAVICON, S_LOWGRAVTV, S_LOWGRAVPOP1, SPR_LOGR, SPR_LOGR, A_LowGravity)