local darkhour_dta = {
	icon = "ECLIPICO",
	timer = TICRATE*30,
	start = function()
				for p in players.iterate do
					if not p.powers[pw_super]
						S_FadeOutStopMusic(500, p)
					end
				end
				
				for s in sectors.iterate do
					if s and s.valid
						s.lightlevel = server.MP_savesectors[#s].lightlevel*14/20
					end
				end
				
				P_SetupLevelSky(468)
			end,
	
	func =	function(t)
				t = (TICRATE*30) -t
				
				if t == TICRATE/3
					S_StartSound(nil, sfx_darkh)
					for p in players.iterate do
						P_FlashPal(p, 1, 2)
					end
				elseif t == TICRATE*3
					P_PlayJingleMusic(p, "DARKH")
				end
			end,
	
	hudfunc = function(v, t)
				t = (TICRATE*30) -t
				
				local pnum = max(1, (t - TICRATE/3))
				if pnum <= 28
					drawScreenwidePatch(v, v.cachePatch("DARKH"..pnum), V_50TRANS)
				else
					v.drawScaled(320<<FRACBITS, 0, FRACUNIT/2, v.cachePatch("DARKU2"), V_SNAPTOTOP|V_SNAPTORIGHT|V_50TRANS)
					v.drawScaled(320<<FRACBITS, 0, FRACUNIT/2, v.cachePatch("DARKU"), V_SNAPTOTOP|V_SNAPTORIGHT)
				end
			end,
	
	stop = 	function()
				for s in sectors.iterate do
					if s and s.valid
						s.lightlevel = server.MP_savesectors[#s].lightlevel
					end
				end
				
				for p in players.iterate
					P_RestoreMusic(p)
				end
				server.sector_savelightlevel = nil
				P_SetupLevelSky(mapheaderinfo[gamemap].skynum, nil)
			end,
			
}
geffectList[gef_darkhour] = darkhour_dta

function A_DarkHour(actor)
	MP_addGlobalEffect(gef_darkhour)
end

MP_buildMonitor(MT_DARKHOURMONITOR, MT_DARKHOURICON, S_DARKHOURTV, S_DARKHOURPOP1, SPR_ECMT, SPR_ECMT, A_DarkHour)